<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:gri="http://java.sun.com/jsf/composite/gri"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="APAT"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.SaveANewPatient']}</h1>
        <h:form id="form">
            #{patientManagerBean.initializeSelectedPersonInfo()}
            <gri:panel id="globalPanel" style="width:100%;height:100%;">
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.SaveAPatient']}</f:facet>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.ToSaveManuallyAPatientYouHaveToGiveAllRequiredIn']}"/>
                <br/>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.ThePatientCreatedCanBeProvidedByTheGazelleXCPDRe']}"/>
                <br/>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.TheDocumentationOfTheXCPDResponderCanBeFound']} "/>
                <h:outputLink
                        value="http://gazelle.ihe.net/content/xcpd-responding-gateway-user-manual"
                        target="_blank">
                    <h:outputText value="#{messages['xdr.allmessages.text4']}"/>
                </h:outputLink>
                <br/>
                <br/>
                <br/>
                <ui:include src="/patients/editPatientTabPanel.xhtml">
                    <ui:param name="personInfo"
                              value="#{patientManagerBean.selectedPersonInfo}"/>
                </ui:include>
                <br/>
                <a4j:commandButton id="savebut" styleClass="gzl-btn-green" rendered="#{identity.loggedIn}"
                                   value="#{messages['net.ihe.gazelle.xdstar.SavePerson']}"
                                   actionListener="#{patientManagerBean.saveSelectedPersonInfo()}"
                                   render="messageDecoration"/>
                <br/>
            </gri:panel>
        </h:form>
    </ui:define>
</ui:composition>
